%define upstream_name    Plack-Middleware-ReverseProxy
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Supports app to run as a reverse proxy backend
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Plack) >= 0.998.800
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildArch:  noarch

%{?perl_default_filter}

%description
Plack::Middleware::ReverseProxy resets some HTTP headers, which changed by
reverse-proxy. You can specify the reverse proxy address and stop fake
requests using 'enable_if' directive in your app.psgi.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.160.0-3.mga9
+ Revision: 1831008
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.160.0-2.mga8
+ Revision: 1523097
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Feb 20 2019 tv <tv> 0.160.0-1.mga7
+ Revision: 1368673
- update to 0.16

* Thu Sep 20 2018 umeabot <umeabot> 0.150.0-10.mga7
+ Revision: 1285732
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.150.0-9.mga7
+ Revision: 1166241
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.150.0-8.mga7
+ Revision: 1160662
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-7.mga6
+ Revision: 1032180
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.150.0-6.mga6
+ Revision: 939944
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 747016
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.150.0-4.mga5
+ Revision: 733262
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.150.0-2.mga4
+ Revision: 527250
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.150.0-1.mga4
+ Revision: 439760
- update to 0.15

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 371866
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.140.0-1.mga3
+ Revision: 268027
- update to 0.14

* Thu Oct 13 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 154445
- update to 0.11
- update to 0.10
- imported package perl-Plack-Middleware-ReverseProxy


* Sat Aug 20 2011 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
